export const isObject = {
    isStatic: true,
    label: 'isObject',
    fn: function objectIsObject(x) {
        if (null == x)
            return false;
        const isObjectType = 'object' === typeof (x);
        const isArray = Array.isArray(x);
        const isPromise = Boolean(x && x.then);
        return isObjectType && !isArray && !isPromise;
    },
};
//# sourceMappingURL=is-object.js.map